<?php

function letezik($kapcsolat, $felhasznalonev) {
	$felhasznalok = lekerdezes($kapcsolat,
		'select * from felhasznalok where felhasznalonev = :felhasznalonev',
		[ ':felhasznalonev' => $felhasznalonev ]
	);
	return count($felhasznalok) === 1;
}

function regisztral($kapcsolat, $felhasznalonev, $jelszo) {
	$db = vegrehajtas($kapcsolat,
		'insert into felhasznalok (felhasznalonev, jelszo) 
			values (:felhasznalonev, :jelszo)',
		[
			':felhasznalonev' 	=> $felhasznalonev,
			':jelszo'			=> password_hash($jelszo, PASSWORD_DEFAULT),
		]
	);
	return $db === 1;
}

function ellenoriz($kapcsolat, $felhasznalonev, $jelszo) {
	$felhasznalok = lekerdezes($kapcsolat,
		'select * from felhasznalok 
			where felhasznalonev = :felhasznalonev',
		[ ':felhasznalonev' => $felhasznalonev ] 
	);
	if (count($felhasznalok) === 1) {
		$felhasznalo = $felhasznalok[0];
		return password_verify($jelszo, $felhasznalo['jelszo']) 
			? $felhasznalo 
			: false;
	}
	return false;
}
