<?php

include('adatbazis.php');
include('teendok.php');
include('hitelesites.php');

//////////////////////////////////////////////
// Főprogram

session_start();
$kapcsolat = kapcsolodas("sqlite:./todo.sqlite");

if (!azonositott_e()) {
  header("Location: bejelentkezik.php");
  exit();
}

$hibak = [];

// beolvasás
$felhasznalo = $_SESSION['felhasznalo'];
$teendok = teendok_felhasznalo_szerint($kapcsolat, $felhasznalo['id']);

// feldolgozás
if (isset($_POST['uj_teendo'])) {
  $uj_teendo = trim($_POST['teendo']);
  if ($uj_teendo == '') {
    $hibak[] = 'A teendőt szükséges megadni!';
  }

  if (count($hibak) === 0) {
    uj_teendo_mentese($kapcsolat, $uj_teendo, $felhasznalo['id']);
    header("Location: index.php");
    exit();
  }
}

if (isset($_POST['teendo_valtoztat'])) {
  $teendo_id = trim($_POST['teendo_valtoztat']);
  if (!is_numeric($teendo_id)) {
    $hibak[] = 'Hiba történt!';
  }

  if (count($hibak) === 0) {
    teendot_valtoztat($kapcsolat, $teendo_id, $felhasznalo['id']);
    header("Location: index.php");
    exit();
  }
}

// kiírás
?>
<style>
  .athuzva {
    text-decoration: line-through;
  }
</style>

<h1>Teendők</h1>

<p>
  Üdv, <?= $felhasznalo['felhasznalonev'] ?>! 
  <a href="kijelentkezik.php">Kijelentkezés</a>
</p>

<h2>Lista</h2>

<?php var_dump($hibak); ?>
<form action="" method="post">
  <input name="teendo">
  <button name="uj_teendo" type="submit">Új teendő hozzáadása</button>
</form>

<form action="" method="post">
  <ul>
    <?php foreach ($teendok as $teendo) : ?>
      <li>
        <span class="<?= $teendo['kesz'] == 1 ? 'athuzva' : '' ?>">
          <?= $teendo['nev'] ?>
        </span>
        <button name="teendo_valtoztat" type="submit" value="<?= $teendo['id'] ?>">
          <?= $teendo['kesz'] == 0 ? 'Megold' : 'Újra' ?>
        </button>
      </li>  
    <?php endforeach ?>
  </ul>
</form>
